[package]
name = "spiral_builder"
workspace = "../../../workspace"
version.workspace = true
edition.workspace = true
license-file.workspace = true
repository.workspace = true

[[bin]]
name = "spiral_builder"
path = "spiral_builder.rs"

[dependencies]
fable_library_rust = { workspace = true, features = ["static_do_bindings", "datetime", "guid", "threaded"] }
inline_colorization = { workspace = true }
chrono = { workspace = true }
regex = { workspace = true }
clap = { workspace = true }
serde_json = { workspace = true }
futures = { workspace = true }
encoding_rs = ">=0.8,<1"
encoding_rs_io = ">=0.1,<1"
rand = "~0.9.0-alpha.2"
sha2 = "~0.11.0-pre.4"
async-walkdir = "2.0"
rayon = "1.10"
